summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
Diffstat (limited to 'bin')
-rwxr-xr-xbin/chroot-installation.sh7
-rwxr-xr-xbin/reproducible_node_health_check.sh2
2 files changed, 1 insertions, 8 deletions
diff --git a/bin/chroot-installation.sh b/bin/chroot-installation.sh
index f86febed..76d61276 100755
--- a/bin/chroot-installation.sh
+++ b/bin/chroot-installation.sh
@@ -137,18 +137,11 @@ echo "set +x" >> $CTMPFILE
}
prepare_upgrade2() {
- # support _aptdpkg_first type upgrade jobs...
- if [ "${JOB_NAME: -14}" = "_aptdpkg_first" ] ; then
- APTDPKGFIRST="apt-get -y install dpkg apt"
- else
- APTDPKGFIRST=""
- fi
cat >> $CTMPFILE <<-EOF
echo "deb $MIRROR $1 main" > /etc/apt/sources.list.d/$1.list
$SCRIPT_HEADER
set -x
apt-get update
-$APTDPKGFIRST
apt-get -y upgrade
apt-get clean
apt-get -yf dist-upgrade
diff --git a/bin/reproducible_node_health_check.sh b/bin/reproducible_node_health_check.sh
index 760ecbd7..d29e6dbe 100755
--- a/bin/reproducible_node_health_check.sh
+++ b/bin/reproducible_node_health_check.sh
@@ -145,7 +145,7 @@ if [ "$HOSTNAME" = "$MAINNODE" ] ; then
# and we dont know why and when that happens,
# so just report those zombies here.
#
- ZOMBIES=$(ls -1d /var/lib/jenkins/jobs/* | egrep 'reproducible_(builder_(amd64|i386|armhf|arm64)|setup_(pbuilder|schroot)_testing)|chroot-installation_wheezy|ff64a|jtk1a|odc2a' || true)
+ ZOMBIES=$(ls -1d /var/lib/jenkins/jobs/* | egrep 'reproducible_(builder_(amd64|i386|armhf|arm64)|setup_(pbuilder|schroot)_testing)|chroot-installation_wheezy|aptdpkg|ff64a|jtk1a|odc2a' || true)
if [ ! -z "$ZOMBIES" ] ; then
echo "Warning, rise of the jenkins job zombies has started again, these jobs should not exist:"
for z in $ZOMBIES ; do